%global goipath github.com/JamesClonk/vultr
Version:        1.15.0
%global tag     %{version}
%gometa


Name:           vultr
Release:        2%{?dist}
Summary:        Vultr CLI
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/jawher/mow.cli)
BuildRequires:  golang(github.com/juju/ratelimit)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/agent)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)


%description
Vultr CLI is a command line tool for using the Vultr API.  It allows you to
create and manage your virtual machines, SSH public keys, snapshots, and
startup scripts on your Vultr account.  You can also use it to directly SSH
into a Vultr virtual machine through the vultr ssh command.


%package -n %{goname}-devel
Summary:        Vultr API client library
BuildArch:      noarch


%description -n %{goname}-devel
%{summary}.

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%autosetup
rm -rf vendor


%build
%gobuildroot
%gobuild -o _bin/vultr %{goipath}


%install
install -D -p -m 0755 _bin/vultr %{buildroot}%{_bindir}/vultr
%goinstall -t cmd


%check
%gochecks


%files
%license LICENSE
%doc README.md
%{_bindir}/vultr


%files -n %{goname}-devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Tue Jan 22 2019 Carl George <carl@george.computer> - 1.15.0-2
- Expand description

* Sun Jan 06 2019 Carl George <carl@george.computer> - 1.15.0-1
- Initial package
